VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "DMcLgLCD example"
   ClientHeight    =   3555
   ClientLeft      =   45
   ClientTop       =   375
   ClientWidth     =   4200
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   237
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   280
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox cLCD 
      AutoRedraw      =   -1  'True
      BackColor       =   &H00FFFFFF&
      BorderStyle     =   0  'None
      FillColor       =   &H00FFFFFF&
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   14.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00000000&
      Height          =   3600
      Left            =   3720
      ScaleHeight     =   240
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   320
      TabIndex        =   5
      Top             =   2280
      Visible         =   0   'False
      Width           =   4800
   End
   Begin VB.CommandButton btnCM 
      Caption         =   "Color Mode"
      Enabled         =   0   'False
      Height          =   495
      Left            =   1680
      TabIndex        =   4
      Top             =   240
      Width           =   1215
   End
   Begin VB.TextBox Text1 
      BeginProperty Font 
         Name            =   "Terminal"
         Size            =   6
         Charset         =   255
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   735
      Left            =   240
      MultiLine       =   -1  'True
      TabIndex        =   2
      Text            =   "frmMain.frx":0000
      Top             =   960
      Width           =   2535
   End
   Begin VB.CommandButton btnSendText 
      Caption         =   "Send Text"
      Height          =   495
      Left            =   240
      TabIndex        =   1
      Top             =   240
      Width           =   1215
   End
   Begin VB.PictureBox LCD 
      AutoRedraw      =   -1  'True
      BackColor       =   &H00FFFFFF&
      BorderStyle     =   0  'None
      FillColor       =   &H00FFFFFF&
      BeginProperty Font 
         Name            =   "Terminal"
         Size            =   6
         Charset         =   255
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00000000&
      Height          =   645
      Left            =   360
      ScaleHeight     =   43
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   160
      TabIndex        =   0
      Top             =   2280
      Width           =   2400
   End
   Begin VB.Label lblStatus 
      Caption         =   "LCD Status: "
      Height          =   255
      Left            =   360
      TabIndex        =   3
      Top             =   1920
      Width           =   2655
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'
' Copyright  2011 Dan Minut, http://www.mangareader.com
' =======================================================
' A quick note about the LCD picturebox:

' To make things easier to deal with, set scalemode to pixels on the form and
' the picturebox, then set the size to match the LCD (ie, 160x43 or 320x240).

' AutoRedraw should be set to true.  For monochrome, make sure to set the font to
' a bitmap font.  The Terminal font works pretty well.  For color, TrueType fonts
' look much better.

Option Explicit

Private Sub btnCM_Click()
    'Just a small routine to swap out the monochrome LCD picture box with the color one.
    'Remember that once a color image is sent to a color device, it can no longer emulate
    'a monochrome device.
    
    If btnCM.Caption = "Color Mode" Then
        btnCM.Caption = "Mono Mode"
        frmMain.Width = 5340
        frmMain.Height = 6450
        cLCD.Left = 16
        cLCD.Top = 152
        cLCD.Visible = True
    Else
        btnCM.Caption = "Color Mode"
        frmMain.Width = 3225
        frmMain.Height = 3570
        cLCD.Left = 3500
        cLCD.Visible = False
    End If

End Sub

Private Sub btnSendText_Click()
    Dim status As Long
    LCD.Cls
    cLCD.Cls
    LCD.Print Text1.Text
    cLCD.Print Text1.Text
    
    If LCDEnabled Then
        'Sends a picturebox to the device as a monochrome image.  If you specify LGLCD_DEVICE_QVGA instead,
        'the dll will attempt to send a color image to the LCD.  This won't display anything on
        'a monochrome device, but you won't get an error, either.
        If btnCM.Caption = "Color Mode" Then
            status = LcdUpdateBitmap(LCDDevice, LCD.Image, LGLCD_DEVICE_BW)
        Else
            'Once a color image is successfully sent to a color device, that color device will no
            'longer accept a monochrome image.  subsequent LGLCD_DEVICE_BW images
            'will simply fail silently.
            status = LcdUpdateBitmap(LCDDevice, cLCD.Image, LGLCD_DEVICE_QVGA)
        End If
        
        'LCDUpdateBitmap will take any size image of the following types:
        'PictureBox.Image
        'HBITMAP 1-Bit
        'HBITMAP 8-Bit (interpreted as grayscale)
        'HBITMAP 24-Bit
        'HBITMAP 32-Bit
        
        '1-Bit images sent as LGLCD_DEVICE_BW will be interpreted as 0=off, 1=on on the LCD.
        '1-Bit images sent as LGLCD_DEVICE_QVGA will be interpreted as 0=black, 1=white on a color LCD.
        '24-bit and 32-bit images sent as LGLCD_DEVICE_BW ony evaluate the first byte (R in RGB or RGBA).
        'Any R value < 127 is set on and an R value > 127 is set off.  Ie. White is off and Black is on.
        '24-bit and 32-bit images sent as LGLCD_DEVICE_QVGA will display as expected on a color display.
        
        'An image too large for the LCD will be truncated.  An image too small will be displayed in the
        'upper-left of the display.  For best results, do all formatting in VB and send the final, full
        'sized PictureBox image to the display.
        
        'An example of how to interperet the status returned by LCDUpdateBitmap.
        Select Case status
            Case ERROR_INVALID_PARAMETER
                lblStatus.Caption = "LCD Status: Invalid Parameter"
            Case LGLCD_INVALID_DEVICE
                lblStatus.Caption = "LCD Status: Invalid Device"
            Case ERROR_SUCCESS
                lblStatus.Caption = "LCD Status: Update Successful"
            Case Else
                lblStatus.Caption = "LCD Status: Unknown Error"
        End Select
        
        
    End If
        
    
End Sub



Private Sub Form_Load()
    'Initialize the LCDEnabled variable
    LCDEnabled = False
    
    'This opens the device for writing.  LCDDeviceType can be ignored if you only
    'plan on writing a monochrome image.  You still need to pass a long variable to
    'receive the data, however.
    LCDDevice = LcdSimpleOpen("DMcLgLCD Simple Test", LCDDeviceType)
    
    'This part is just an example of how to evaluate the data returned from the
    'function.  You could simplify this by replacing the following section with this instead:
    'LCDEnabled = (LGLCD_INVALID_DEVICE <> LCDDevice)
    If LCDDevice <> LGLCD_INVALID_DEVICE Then
        LCDEnabled = True
        If LCDDeviceType = LGLCD_DEVICE_BW Then
            lblStatus.Caption = "LCD Status: Monochrome"
        ElseIf LCDDeviceType = LGLCD_DEVICE_QVGA Then
            lblStatus.Caption = "LCD Status: Color"
            btnCM.Enabled = True
        Else
            lblStatus.Caption = "LCD Status: " & LCDDeviceType
        End If
    Else
        lblStatus.Caption = "LCD Status: Invalid Device"
    End If

End Sub

Private Sub Form_Unload(Cancel As Integer)
    'Make sure to close the device before exiting your program
    LcdSimpleClose
End Sub
